Friday, July 08, 2005

Google Toolbar for Firefox

Google has just released a Mozilla Firefox compatible version of the excellent Google Toolbar. I'm testing it out right now. Although it is still a beta, the toolbar seems to be working fine, so far.

Please note that the System requirements for the toolbar are Windows XP/2000 SP3+, Mac OS X 10.2+, or Red Hat Linux 8.0+.

More info about Google Toolbar BETA for Firefox

3 comments:

Clif said...
This comment has been removed by a blog administrator.
Clif said...

Thanks for the tip. I tried it and I found it unusable in it's current state. I kept getting this error and it took forever for FF to open. I finally uninstalled the extension.

Error
http://snipurl.com/fferror

Brett Christensen said...

Hi clif,

It's been working perfectly for me over the last few days. Do you have the latest version of Firefox?